package com.fzm.mall.server.front.order.service;

import com.fzm.mall.server.front.order.model.OrderDetail;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 用户购物订单详情表 服务类
 * </p>
 *
 * @author tdz
 * @since 2021-03-03
 */
public interface IOrderDetailService extends IService<OrderDetail> {
    List<OrderDetail> listOrderDetail(final String oid);

    List<OrderDetail> listOrderDetailService(String oid);

    List<OrderDetail> getWaitsByUid(String uid);

    List<OrderDetail> getList(String oid);

    OrderDetail getByUidAndOidAndSkuId(String oid, String skuId);

    int updateCommend(String uid, String oid, String skuId);

    int updateCommendAppend(String commentId);

    List<OrderDetail> getByUidAndSkuId(String uid, String skuId);
}
